For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get the full navigation structure of a site

Returns the complete hierarchical structure of a site, including all sections, section groups, and site spaces in their current order. Use this to understand how a site's navigation is organized before making structural changes, or to render the full navigation tree of a site. Members with access only to individual spaces receive only the site items backed by those spaces and their parent sections.

Available in MCP
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

Query parameters
shareKeystringOptional

For sites published via share-links, the share key is useful to resolve published URLs.

Responses
200

OK

application/json
or
get/orgs/{organizationId}/sites/{siteId}/structure
GET /v1/orgs/{organizationId}/sites/{siteId}/structure HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "type": "sections",
  "structure": [
    {
      "object": "site-section",
      "id": "text",
      "title": "text",
      "localizedTitle": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "description": "text",
      "localizedDescription": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "default": true,
      "draft": true,
      "path": "text",
      "condition": "text",
      "sectionGroup": "text",
      "siteSpaces": [
        {
          "object": "site-space",
          "id": "text",
          "path": "text",
          "section": "text",
          "space": {
            "object": "space",
            "id": "text",
            "title": "text",
            "emoji": "🎉",
            "visibility": "public",
            "createdAt": "2026-01-01T00:00:00.000Z",
            "updatedAt": "2026-01-01T00:00:00.000Z",
            "deletedAt": "2026-01-01T00:00:00.000Z",
            "editMode": "live",
            "type": "styleguide",
            "mergeRules": {
              "type": "inherit"
            },
            "urls": {
              "location": "https://example.com",
              "app": "https://example.com",
              "published": "https://example.com",
              "public": "https://example.com",
              "icon": "https://example.com"
            },
            "organization": "text",
            "parent": "text",
            "language": "en",
            "gitSync": {
              "repoName": "text",
              "installationStatus": "unauthenticated",
              "installationProvider": "github",
              "installationId": "text",
              "parentInstallationId": "text",
              "url": "text",
              "installationProjectDirectory": "text",
              "operation": {
                "state": "running",
                "direction": "export",
                "startedAt": "2026-01-01T00:00:00.000Z",
                "endedAt": "2026-01-01T00:00:00.000Z",
                "error": "text",
                "errorAction": {
                  "label": "text",
                  "url": "https://example.com"
                }
              },
              "operationTimeout": 1,
              "updatedAt": "2026-01-01T00:00:00.000Z"
            },
            "previousGitSync": {
              "url": "text"
            },
            "imports": [
              {
                "object": "import-run",
                "id": "text",
                "startedAt": "2026-01-01T00:00:00.000Z",
                "completedAt": "2026-01-01T00:00:00.000Z",
                "createdAt": "2026-01-01T00:00:00.000Z",
                "updatedAt": "2026-01-01T00:00:00.000Z",
                "status": "pending",
                "reason": "text",
                "source": {
                  "type": "website",
                  "url": "https://example.com"
                },
                "target": {
                  "space": "text",
                  "changeRequest": "text",
                  "page": "text"
                },
                "site": "text",
                "createdBy": "text",
                "urls": {
                  "location": "https://example.com"
                },
                "pages": [
                  {
                    "id": "text",
                    "sourceURL": "text",
                    "type": "page",
                    "status": "complete"
                  }
                ]
              }
            ],
            "visitorAuth": {
              "backend": "custom"
            },
            "revision": "text",
            "defaultLevel": "admin",
            "comments": 1,
            "changeRequests": 1,
            "changeRequestsOpen": 1,
            "changeRequestsDraft": 1,
            "internal_poweredByV2": true,
            "internal_singleWebsocket": true,
            "permissions": {
              "view": true,
              "access": true,
              "admin": true,
              "viewInviteLinks": true,
              "edit": true,
              "triggerGitSync": true,
              "comment": true,
              "merge": true,
              "review": true,
              "installIntegration": true
            }
          },
          "title": "text",
          "localizedTitle": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "default": true,
          "condition": "text",
          "pageId": "text",
          "draft": true,
          "hasAdvancedCustomizationFeature": true,
          "urls": {
            "published": "https://example.com"
          },
          "hidden": true
        }
      ],
      "urls": {
        "published": "https://example.com"
      },
      "icon": "gear"
    }
  ]
}

Last updated

Was this helpful?